#!/usr/bin/env python
from insights_coordinator_rhev.insights_coordinator_infra.commands import CoordinatorCommands


class RhevCoordinatorCommands(CoordinatorCommands):
    insights_execution_command = "python redhat_access_insights/__init__.py --from-file=%s --compressor=none " \
                                 "--offline --no-gpg"
    untar_hypervisor = "mkdir %s && cd %s && tar xzf %s --strip-components=1 &> /dev/null ; echo $?"
    check_rhevh_installation = "[ -f %s ] && [ -d %s ] ; echo $?"
    install_rhevm_auto = "sudo yum install --nogpgcheck -y redhat-access-insights"
    get_manager_name = "hostname"
    get_manager_system_id = "cat /etc/redhat-access-insights/machine-id"
    run_insights_on_manager = "redhat-access-insights --update-collection-rules --no-upload --no-gpg --to-stdout --register"
    register_insights_on_manager = "redhat-access-insights --register --no-schedule --no-upload --silent"

    # get_command(cmd,args) ?

    # rename these to naming convention?:
    # modulename.functionname.specificcommandname
