#!/usr/bin/env python
from insights_coordinator_rhev.insights_coordinator_infra.constants import CoordinatorConstants


# RHEV Coordinator Constants


class RhevCoordinatorConstants(CoordinatorConstants):

    # App
    app_name = 'insights-coordinator-rhev'
    version = '1.0.29'
    release = '3'
    coordinator_parser_usage = "%prog [options]"

    # SSH
    ssh_user = "root"
    ssh_port = 22
    ssh_key = "/root/.ssh/id_rsa.pub"  # TODO: This should change to use a private key, in particular the one that RHEV installs by default

    # Cron
    cron_file = "/etc/redhat-access-insights/insights-coordinator-rhev.cron"  # TODO: Change this to use the app name above, and try to move it into the infra code
    cron_symlink = "/etc/cron.daily/insights-coordinator-rhev"  # TODO: Change this to use the app name above, try to move to infra code

    # Logger
    logging_file = "insights-coordinator-rhev.log"  # TODO: Use app name above, try to move to infra
    logger_name = "insights-coordinator-rhev"  # TODO: Use app name above, try to move to infra

    # Hypervisor Installations

    # TODO: Change this to pull in the correct version of the installed RPM? rpm -qa?
    local_rhevm_installation = "/var/lib/redhat_access_insights/redhat-access-insights-*.tar.gz"  # TODO: Rename instances of this to a "local_installation" var and move to infra code

    # this should probably be a random hash though probably not needed, nothing should be on the hypervisor anyway
    rhevh_installation_gz = "/var/tmp/redhat-access-insights.tar.gz"  # TODO: Rename instances of this to a "remote_installation_gz" var and move to infra code

    # this should probably be a random hash though probably not needed, nothing should be on the hypervisor anyway
    rhevh_installation_dir = "/var/tmp/redhat-access-insights"  # TODO: Rename instances of this to a "remote_installation_dir" var and move to infra code

    # Tests
    test_hypervisors = False  # TODO: Rename instances of this to a "test_nodes" var and move to infra code

    # Product Information
    product_code = "RHEV"

    # RHEVM API
    api_url = 'https://localhost/api'
    api_username = 'admin@internal'
    api_password = 'redhat12'
    api_insecure = True
    api_debug = False
    all_possible_api_options = 'datacenters,clusters,hosts,networks,disks,diskprofiles,storagedomains,' \
                               'storageconnections,vms,vmpools,vnicprofiles,templates,groups,permissions,roles'
    api_options = 'datacenters,clusters,hosts,storagedomains,networks,vms'
    register_api = False
    api_attribute_exclusion_list = ['get_username', 'get_password', 'get_root_password']

    # Manager Specific
    manager_metadata_filename = 'metadata.json'

    # Cluster stuff
    cluster_id_file = "/etc/redhat-access-insights/cluster-id"  # TODO: Move this to infra code

    # Temporary directories
    default_tmpdir_prefix = "insights-coordinator-rhev"  # TODO: Rename this to a general tmpdir prefix and move to infra
    default_archive_prefix = "insights-coordinator-rhevh"  # TODO: Rename this to a general tmpdir archive prefix and move to infra

    # Configuration File
    conf_file = "/etc/redhat-access-insights/insights-coordinator-rhev.conf"  # TODO: Make this use app_name above and try to move to infra
