#!/usr/bin/env python
from insights_coordinator_rhev.commands import RhevCoordinatorCommands
from insights_coordinator_rhev.insights_coordinator_infra.utils.utilities import CoordinatorUtilities


class RhevCoordinatorUtilities(CoordinatorUtilities):

    # Constructor
    def __init__(self, **kwargs):
        self.rhevm_commands = RhevCoordinatorCommands()
        super(RhevCoordinatorUtilities, self).__init__(**kwargs)

    # Get a command from the CoordinatorCommands instance
    def get_command(self, cmd):
        if not self.rhevm_commands:
            self.rhevm_commands = RhevCoordinatorCommands()
        if hasattr(self.rhevm_commands, cmd):
            return getattr(self.rhevm_commands, cmd)
        else:
            return super(RhevCoordinatorUtilities, self).get_command(cmd)
